%define base_name	phpmailer
%define name		php-%{base_name}
%define version		5.2.7
%define date        20130917
%define release		%mkrel 0.%date.1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Full featured email transfer class for PHP
License:	LGPL
Group:		Development/Other
URL:		http://phpmailer.sourceforge.net/
Source:     http://downloads.sourceforge.net/phpmailer/PHPMailer-master.zip
BuildArch:  noarch
Provides:   pear(ntlm_sasl_client.php)

%description
PHP email transport class featuring multiple file attachments, SMTP servers,
CCs, BCCs, HTML messages, and word wrap, and more. It can send email via
sendmail, PHP mail(), or with SMTP. Methods are based on the popular AspEmail
active server component.

%prep
%setup -q -n PHPMailer-master

%build

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_datadir}/php/PHPMailer
install -d -m 755 %{buildroot}%{_datadir}/php/PHPMailer/language
install -d -m 755 %{buildroot}%{_datadir}/php/PHPMailer/extras
install -m 644 *.php %{buildroot}%{_datadir}/php/PHPMailer
install -m 644 extras/*.php %{buildroot}%{_datadir}/php/PHPMailer/extras
install -m 644 language/*.php %{buildroot}%{_datadir}/php/PHPMailer/language

%files
%{_datadir}/php/PHPMailer






%changelog
* Wed Sep 18 2013 oden <oden> 5.2.7-0.20130917.1.mga3
+ Revision: 481118
- New version (needed by wordpress)

* Tue Feb 12 2013 guillomovitch <guillomovitch> 5.1-1.mga3
+ Revision: 398174
- new version

* Sun Jan 13 2013 umeabot <umeabot> 1.73-6.mga3
+ Revision: 377510
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 07 2011 spuhler <spuhler> 1.73-5.mga1
+ Revision: 48196
- removed buildroot definition from .spec
- imported package php-phpmailer

